@mixin special-header($bg-color, $color) {
  .special-header {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding: 7px;
    background-color: $bg-color;
    color: $color;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    &:after, &:before {
      content: ' ';
      display: block;
      height: 30px;
      width: 30px;
      position: absolute;
      top: -10px;
      background-color: transparent;
      border-color: $bg-color;
      border-width: 10px;
      border-style: solid;
      border-bottom: none;
    }
    &:after {
      right: -20px;
      border-top-left-radius: 20px;
      border-right: none;
    }
    &:before {
      left: -20px;
      border-top-right-radius: 20px;
      border-left: none;
    }
  }
}

.special-header-wrapper {
  position: relative;
  height: 2rem;
}